Subject: Re: linux-next: build warning after merge of the iommufd tree

From: "Valdis Klētnieks" <[email-masked]>
Date: Tue, 25 Mar 2025 22:43:29 -0400

On Fri, 21 Mar 2025 08:39:32 -0300, Jason Gunthorpe said:
> On Fri, Mar 21, 2025 at 07:36:00PM +1100, Stephen Rothwell wrote:

> > vmlinux.o: warning: objtool: iommu_dma_get_msi_page() falls through to next function __iommu_dma_unmap()
> > 
> > I have no idea where that came from.
>
> Me too, I've been ignoring weird objtool things because I don't know
> what to do with them :\

It's particularly annoying if you turned on the recently added CONFIG_OBJTOOL_WERROR=y